org.apache.ignite.internal.processors.metastorage.persistence

## Class DmsDataWriterWorker

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.internal.processors.metastorage.persistence.DmsDataWriterWorker

All Implemented Interfaces:
  Runnable, WorkProgressDispatcher

    public class DmsDataWriterWorker
    extends GridWorker

### Field Summary

Fields
`static byte[]` `DUMMY_VALUE`

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled, log`

### Constructor Summary

Constructors
Constructor and Description
`DmsDataWriterWorker(@Nullable String igniteInstanceName, IgniteLogger log, org.apache.ignite.internal.processors.metastorage.persistence.DmsLocalMetaStorageLock lock, Consumer<Throwable> errorHnd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `body()` The implementation should provide the execution body for this runnable.
`void` `cancel(boolean halt)`
`Future<?>` `flush()`
`void` `removeHistItem(long ver)`
`void` `setMetaStorage(ReadWriteMetastorage metastorage)`
`void` `start()` Start new distributed metastorage worker thread.
`void` `suspend(IgniteInternalFuture<?> compFut)`
`void` `update(org.apache.ignite.internal.processors.metastorage.persistence.DistributedMetaStorageClusterNodeData fullNodeData)`
`void` `update(org.apache.ignite.internal.processors.metastorage.persistence.DistributedMetaStorageHistoryItem histItem)`

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`blockingSectionBegin, blockingSectionEnd, cancel, cleanup, heartbeatTs, igniteInstanceName, isCancelled, isDone, join, name, onCancel, onCancelledBeforeWorkerScheduled, onIdle, run, runner, toString, updateHeartbeat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DUMMY_VALUE

    public static final byte[] DUMMY_VALUE

### Constructor Detail

#### DmsDataWriterWorker

    public DmsDataWriterWorker(@Nullable
                               @Nullable String igniteInstanceName,
                               IgniteLogger log,
                               org.apache.ignite.internal.processors.metastorage.persistence.DmsLocalMetaStorageLock lock,
                               Consumer<Throwable> errorHnd)

### Method Detail

#### setMetaStorage

    public void setMetaStorage(ReadWriteMetastorage metastorage)

#### start

    public void start()

Start new distributed metastorage worker thread.

#### flush

    public Future<?> flush()

Returns:
  Future which will be completed when all tasks prior to the pause task are finished.

#### suspend

    public void suspend(IgniteInternalFuture<?> compFut)

Parameters:
  `compFut` - Future which should be completed when worker may proceed with updates.

#### update

    public void update(org.apache.ignite.internal.processors.metastorage.persistence.DistributedMetaStorageHistoryItem histItem)

#### update

    public void update(org.apache.ignite.internal.processors.metastorage.persistence.DistributedMetaStorageClusterNodeData fullNodeData)

#### removeHistItem

    public void removeHistItem(long ver)

#### cancel

    public void cancel(boolean halt)
                throws InterruptedException

Throws:
  `InterruptedException`

#### body

    protected void body()

The implementation should provide the execution body for this runnable.

Specified by:
  `body` in class `GridWorker`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022